package com.quantgroup.asset.distribution.service.newrule.service;

import com.quantgroup.asset.distribution.service.jpa.entity.ProductRuleEntity;

import java.util.List;

/**
 * @author shihuajun
 * @date 2021/8/28 10:53
 * @ describing
 */
public interface IProductRuleService {

    /**
     * 获取产品规则配置
     * @param ruleMame
     * @return
     */
    ProductRuleEntity getProductRuleEntityByRuleMame(String ruleMame);


    ProductRuleEntity getProductRuleEntityById(Long id);

    List<ProductRuleEntity> getAll();
}
